EDIT - bug #6850

NPE when clearing label of "kind of" term in TermEditor
07/24/2017 11:33 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal Found in Version:

Description

login : admin

editor version : 4.9.0

server : test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 4.7.0.0.201710040000

os : Windows Server 2012 R2 6.3 amd64

java : 1.8.0_121

java.lang.NullPointerException
at org.eclipse.jface.viewers.StyledString.append (StyledString. java:281)
at org.eclipse.jface.viewers.StyledString.<init> (StyledString. java:132)

at eu.etaxonomy.taxeditor.editor.definedterm.TermLabelProvider.update (TermLabelPro
vider. java:65)

at org.eclipse.jface.viewers.ViewerColumn.refresh (ViewerColumn. java:141)

at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateltem (AbstractTreeViewer. ja
va:949)

at org.eclipse.jface.viewers.AbstractTreeViewerS$SUpdateltemSafeRunnable.run (Abstrac
tTreeViewer. java:118)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)
at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)
at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateltem (AbstractTreeViewer. ja
va:1029)

at org.eclipse.jface.viewers.StructuredViewer$UpdateltemSafeRunnable.run (Structure
dViewer.java:474)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)
at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)
at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

at org.eclipse.jface.viewers.StructuredViewer.updateltem(StructuredViewer. java:217

at org.eclipse.jface.viewers.StructuredViewer.internalUpdate (StructuredViewer. java
:2153)

at

at

at
Editor. java:206)

at
ViewPart.java:167)

at

DataViewer. java:83)

at
r.java:179)

at

org.eclipse. jface.viewers.StructuredViewer.update (StructuredViewer. java:2094)

org.eclipse.jface.viewers.ColumnViewer.update (ColumnViewer. java:542)

eu.etaxonomy.taxeditor.editor.definedterm.DefinedTermEditor.changed(DefinedTerm

eu.

eu.

eu.

eu.

dmDataViewer. java:59)

etaxonomy.taxeditor

etaxonomy.taxeditor

etaxonomy.taxeditor

etaxonomy.taxeditor

.view

.view

.view

.view

.AbstractCdmEditorViewPart.changed (AbstractCdmEditor

.AbstractCdmDataViewer.markViewPartDirty (AbstractCdm

.detail.DetailsViewer.markViewPartDirty (DetailsViewe

.AbstractCdmDataViewer$l.dirtyStateChanged (AbstractC

at org.eclipse.ui.forms.AbstractFormPart.markDirty (AbstractFormPart. java:93)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.propertyChange (CdmSectionPart

.java:184)

at eu.etaxonomy.taxeditor.
t (AbstractCdmFormElement. java:235)

at eu.etaxonomy.taxeditor.
t (AbstractCdmFormElement. java:263)

at eu.etaxonomy.taxeditor.
actCdmDetailElement. java:229)

at eu.etaxonomy.taxeditor.
t (AbstractCdmFormElement. java:235)

at eu.etaxonomy.taxeditor.

Element.java:188)
ui.element.AbstractCdmFormElement.firePropertyChangeEven

ui.element.AbstractCdmFormElement.firePropertyChangeEven

ui.section.AbstractCdmDetailElement .propertyChange (Abstr

ui.element.AbstractCdmFormElement.firePropertyChangeEven

ui.element.TextWithLabelElement .modifyText (TextWithLabel

TypedListener.handleEvent (TypedListener. java:180)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display. java:4418)
.Widget.sendEvent (Widget.java:1079)
.Widget.sendEvent (Widget.java:1103)
Widget.sendEvent (Widget. java:1084)

Text .wmCommandChild (Text.java:3122)
Control.WM_COMMAND (Control.java:4947)
Control.windowProc (Control. java:4802)

.Display.windowProc (Display.java:5110)

internal.win32.0S.CallWindowProcW (Native Method)

internal.win32.0S.CallWindowProc (0S. java:2446)

widgets

.Text.callWindowProc (Text.java:262)
at org.eclipse.swt.widgets.Control.windowProc (Control.java:4897)

at org.eclipse.swt.widgets.Text.windowProc (Text. java:2704)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5110)

at org.eclipse.swt.internal.win32.0S.DispatchMessageW (Native Method)
at org.eclipse.swt.internal.win32.0S.DispatchMessage (0S.java:2552)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3822)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplLa
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Related issues:
Copied from EDIT - feature request #7741: Refresh supplemental data view fitl... New

Associated revisions

Revision 2aa1d458 - 09/06/2018 01:36 PM - Patrick Plitzner
ref #6850 Fix label for null value

History

#1 - 08/21/2018 03:41 PM - Patrick Plitzner
- Status changed from New to Feedback

- Assignee changed from Patrick Plitzner to Andreas Mliller

@Andreas: | could not reproduce this behavior. Maybe this was fixed a while ago. Can you please test and close this ticket if it does not happen
anymore?

#2 - 08/21/2018 04:04 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.3

#3 - 09/05/2018 12:48 PM - Andreas Miiller

- File picture668-1.png added

- Assignee changed from Andreas Miiller to Patrick Plitzner
Generally this seems to work now. | also could not reproduce.

Only related issue: with empty label the label refresh does not always work as expected. E.g. | managed to create the following situation.

Kind of Unit &2 = B ||[£f Details &2 = B8

r MediaSpecimen Kind-of-Units ~ Defined Term : null -
i Plant Kind-of-Units
I Specimen Kind-of-Units Label |
4 TestVoc abbrev. Label
Untitled Necrrintinn e
Zusatzdaten 1 = 8

DefinedTerm:
DefinedTerm<fbd8cbbd-6633-48b2-888e-6000b3d73bf>

b Annotations +
b Marker +
b Sources +

So the label is empty, label of section shows "null", TermEditor shows "untitled" and Supplemental Data shouws Class.
| would expect the later to show up everywhere except for the label field itself.

Probably this is a separate ticket.

Please remove target version when closing this ticket.

#4 - 09/06/2018 08:42 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

So you want the default titteCache (class + UUID) to be shown everywhere except the text field, correct?

#5 - 09/06/2018 08:49 AM - Andreas Mdller

Let's call it different: show the current titteCache, and for a completely empty term the Class+UUID will be generated as titteCache as nothing else is
there (by the way, in the term cache strategy we could implement to better use termType + UUID as this is more exact and always available).

It is not your task to implement or duplicate a formatter for this class. Just use the same formatting everywhere and this is currently given by the
(freshly generated) titteCache. Only the label field itself should not use titleCache as it does not represent the whole term but only the label in the
given language.

#6 - 09/06/2018 10:36 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

#7 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#8 - 09/06/2018 01:37 PM - Patrick Plitzner

- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- Target version changed from Release 5.4 to Release 5.3

#9 - 09/07/2018 09:54 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Much better now. Only the Supplemental data do not automatically synchronize their label. Don't know if this is a general issue.
When fixing please careful that we do not generate any critical sychronization exception. The remaining issue is not really critical.

#10 - 09/07/2018 10:51 AM - Patrick Plitzner

- Copied from feature request #7741: Refresh supplemental data view title when editing terms added

#11 - 09/07/2018 10:51 AM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Andreas Muller wrote:

Much better now. Only the Supplemental data do not automatically synchronize their label. Don't know if this is a general issue.
When fixing please careful that we do not generate any critical sychronization exception. The remaining issue is not really critical.

Created a new ticket for that -> #7741

Files

picture668-1.png 11.3 KB 09/05/2018 Andreas Miller
https://dev.e-taxonomy.eu/redmine/issues/7741
http://www.tcpdf.org

